#!/bin/sh
# Backup planner running from crontab.
#    backup   crontab.
#
# http://www.opennet.ru/dev/fsbackup/
# Copyright (c) 2001 by Maxim Chirkov. <mc@tyumen.ru>
#
#    crontab:
#
#18 4 * * * /usr/local/fsbackup/create_backup.sh| mail -s "`uname -n` backup report" root

#############################################################################
PATH=/sbin:/usr/sbin:/usr/local/sbin:/bin:/usr/bin:/usr/local/bin

if [ -r /etc/fsbackup/create_backup.conf ]; then
	. /etc/fsbackup/create_backup.conf
else
	echo "Config file not found, exiting"
	exit 1
fi

#  ulimit  ,   .
#ulimit -f 512000;ulimit -d 20000;ulimit -c 100;ulimit -m 25000;ulimit -l 15000

#  MySQL 
if [ $backup_mysql -eq 1 ]; then
    mysql_backup.sh 
fi

#  PostgreSQL 
if [ $backup_pgsql -eq 1 ]; then
    pgsql_backup.sh 
fi

#  SQLite 
if [ $backup_sqlite -eq 1 ]; then
    sqlite_backup.sh 
fi

#   
if [ $backup_sys -eq 1 ]; then
    sysbackup.sh
fi

# .
for cur_conf in $config_files; do
    fsbackup.pl $cur_conf
    next_iter=`echo "$config_files"| grep "$cur_conf "`
    if [ -n "$next_iter" ]; then
	sleep 600 #   10 ,    :-)
    fi
done

