#!/bin/sh
# Script for store system configuration files and information about installed
# packages.
#        ,   
#   .
#
# http://www.opennet.ru/dev/fsbackup/
# Copyright (c) 2001 by Maxim Chirkov. <mc@tyumen.ru>


PATH=/sbin:/usr/sbin:/usr/local/sbin:/bin:/usr/bin:/usr/local/bin

if [ -r /etc/fsbackup/sysbackup.conf ]; then
        . /etc/fsbackup/sysbackup.conf
else
        echo "Config file not found, exiting"
        exit 1
fi
############################################################################
sysname="`uname | tr '[A-Z]' '[a-z]'`"
echo "OS: $sysname"

# echo "Creating ls-lR..."
# ls -lR / |gzip > $sysbackup_path/${backup_name}-ls-lR.gz

if [ "_$sysname" = "_linux" ]; then
    echo "Creating system config archive..."
    rm -f $sysbackup_path/${backup_name}-rpm_conf.tar
    for cur_conf in `rpm -q -a -c`; do
	tar -rf $sysbackup_path/${backup_name}-rpm_conf.tar $cur_conf 2>/dev/null
    done
    echo "Creating package list..."
    gzip -f $sysbackup_path/${backup_name}-rpm_conf.tar
    rpm -q -a > $sysbackup_path/${backup_name}-rpm.list
fi
